﻿using System;
using System.Collections.ObjectModel;
using System.Linq;
using Microsoft.Phone.Controls;

namespace DateTimeAxis
{
    public partial class MainPage : PhoneApplicationPage
    {
        public MainPage()
        {
            this.InitializeComponent();
            var data1 = new ObservableCollection<Data>();
            var data2 = new ObservableCollection<Data>();
            var rand = new Random();
            for (var i = 0; i < 10; i++)
            {
                data1.Add(new Data { Value = rand.Next(1, 8), Date = DateTime.Today.AddDays(i) });
                data2.Add(new Data { Value = rand.Next(1, 8), Date = DateTime.Today.AddDays(i) });
            }

            this.radChart1.Series[0].ItemsSource = data1;
            this.radChart1.Series[1].ItemsSource = data2;          
        }
    }
}